Skip to main content
GET
/
orgs
/
{org_id}
/
nodes
/
{node_id}
/
branches
List Branches
curl --request GET \
  --url https://api.example.com/orgs/{org_id}/nodes/{node_id}/branches
{
  "branches": [
    {
      "node_id": "<string>",
      "name": "<string>",
      "head_commit": "<string>",
      "created_by": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "base_branch": "<string>",
      "head_commit_message": "<string>",
      "last_activity": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123
}

Headers

authorization
string | null

Path Parameters

org_id
string
required
node_id
string
required

Response

Successful Response

Response model for branch lists.

branches
BranchResponse · object[]
required

List of branches

total
integer
required

Total number of branches